package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF9B8Response {

    @Parameter(name = "AppKey")
    Long appKey();

    @Parameter(name = "ClientReactionOnChange")
    Long clientReactionOnChange();

    @Parameter(name = "DateContractSigned")
    java.util.Date dateContractSigned();

    @Parameter(name = "DateLastRevision")
    java.util.Date dateLastRevision();

    @Parameter(name = "DateNextRevision")
    java.util.Date dateNextRevision();

    @Parameter(name = "DayOfStatement")
    String dayOfStatement();

    @Parameter(name = "InterestRate")
    Double interestRate();

    @Parameter(name = "LastPaymentAmount")
    Double lastPaymentAmount();

    @Parameter(name = "LoanAmount")
    Double loanAmount();

    @Parameter(name = "PaymentAmount")
    Double paymentAmount();

    @Parameter(name = "PaymentCount")
    Long paymentCount();

    @Parameter(name = "PaymentPercent")
    Double paymentPercent();

    @Parameter(name = "RevisionPeriod")
    Long revisionPeriod();

    @Parameter(name = "StateLastRevision")
    Long stateLastRevision();

}